Previous: C64 I/O extension resources, Up: C64 I/O extension settings [Contents][Index]

#### 7.1.6.2 C64 I/O extension command-line options

`-digimax`
`+digimax`

  Enable/disable the DigiMAX cartridge (`DIGIMAX=1`, `DIGIMAX=0`).

`-digimaxbase <base address>`

  Base address of the DigiMAX cartridge (`DIGIMAXbase`). (0xDD00: userport, 0xDE00, 0xDE20, 0xDE40, 0xDE60, 0xDE80, 0xDEA0, 0xDEC0, 0xDEE0, 0xDF00, 0xDF20, 0xDF40, 0xDF60, 0xDF80, 0xDFA0, 0xDFC0, 0xDFE0)

`-ds12c887rtc`
`+ds12c887rtc`

  Enable/disable the DS12C887 RTC cartridge (`DS12C887RTC=1`, `DS12C887RTC=0`).

`-ds12c887rtcbase <base address>`

  Base address of the DS12C887 RTC cartridge (`DS12C887RTCbase`). x128: (0xD700, 0xDE00, 0xDF00) x64, x64sc, xscpu64: (0xD500, 0xD600, 0xD700, 0xDE00, 0xDF00)

`-ds12c887rtchalted`

  Set the DS12C887 RTC oscillator to ’halted’ (`DS12C887RTCRunMode=0`).

`-ds12c887rtcrunning`

  Set the DS12C887 RTC oscillator to ’running’ (`DS12C887RTCRunMode=1`).

`-ds12c887rtcsave`
`+ds12c887rtcsave`

  Enable/disable saving of the DS12C887 RTC data when changed (`DS12C887RTCSave=1`, `DS12C887RTCSave=0`).

`-miditype <0-4>`

  Set MIDI interface type (`MIDIMode`) (x64, x64sc, xscpu64 and x128 only, and only if MIDI support is enabled and available at compile time). (0: Sequential, 1: Passport/Syntech, 2: DATEL/Siel/JMS, 3: Namesoft, 4: Maplin)

`-midi`
`+midi`

  Enable/disable MIDI emulation (`MIDIEnable=1`, `MIDIEnable=0`) (x64, x64sc, xscpu64 and x128 only, and only if MIDI support is enabled and available at compile time). (0: Sequential, 1: Passport/Syntech, 2: DATEL/Siel/JMS, 3: Namesoft, 4: Maplin)

`-georam`
`+georam`

  Enable/disable the GEORAM expansion unit (`GEORAM=1`, `GEORAM=0`).

`-cartgeoram <name>`

  Attach raw GEO-RAM cartridge image.

`-georamimage <name>`

  Specify name of GEORAM image (`GEORAMfilename`).

`-georamimagerw`
`+georamimagerw`

  Allow/disallow writing to GEORAM image (`GEORAMImageWrite=1`, `GEORAMImageWrite=0`).

`-georamsize <size in KiB>`

  Size of the GEORAM expansion unit (`GEORAMsize`). (64, 128, 256, 512, 1024, 2048, 4096)

`-reu`
`+reu`

  Enable/disable emulation of the RAM Expansion Module (`REU=1`, `REU=0`).

`-cartreu <name>`

  Attach raw REU cartridge image.

`-reuimage <name>`

  Specify name of REU image (`REUfilename`).

`-reuimagerw`
`+reuimagerw`

  Allow/disallow writing to REU image (`REUImageWrite=1`, `REUImageWrite=0`).

`-reusize <size in KiB>`

  Size of the RAM expansion unit (`REUsize`). (128, 256, 512, 1024, 2048, 4096, 8192, 16384)

`-sfxse`
`+sfxse`

  Enable/disable the SFX soundexpander cartridge (`SFXSoundExpander=1`, `SFXSoundExpander=0`).

`-sfxsetype <type>`

  Set YM chip type (`SFXSoundExpanderChip`). (3526, 3812)

`-sfxss`
`+sfxss`

  Enable/disable the SFX Sound Sampler cartridge (`SFXSoundSampler=1`, `SFXSoundSampler=0`).

`-cs8900ioif <name>`

  Set the system ethernet interface for Ethernet Cartridge emulation

`-ethernetcart`
`+ethernetcart`

  Disable/Enable the Ethernet Cartridge (TFE/RR-Net/64NIC/FB-NET)

`-ethernetcartmode <Mode>`

  Mode of Ethernet Cartridge (0: TFE, 1: RR-Net)

`-ethernetcartbase <Base address>`

  Base address of the Ethernet Cartridge. (0xDE00, 0xDE10, 0xDE20, 0xDE30, 0xDE40, 0xDE50, 0xDE60, 0xDE70, 0xDE80, 0xDE90, 0xDEA0, 0xDEB0, 0xDEC0, 0xDED0, 0xDEE0, 0xDEF0, 0xDF00, 0xDF10, 0xDF20, 0xDF30, 0xDF40, 0xDF50, 0xDF60, 0xDF70, 0xDF80, 0xDF90, 0xDFA0, 0xDFB0, 0xDFC0, 0xDFD0, 0xDFE0, 0xDFF0)

`-tfe`

  Enable the Ethernet Cartridge in TFE ("The Final Ethernet") compatible mode and set default I/O address

`-rrnet`

  Enable the Ethernet Cartridge in RR-Net compatible mode and set default I/O address

`-burstmod <value>`

  Set the kind of burst modification. This emulates the fast serial bus connection as described at https://a1bert.kapsi.fi/Dev/burst/, with the wire to the tape port cut (`BurstMod`). (0: None, 1: CIA-1, 2: CIA-2)

Previous: C64 I/O extension resources, Up: C64 I/O extension settings [Contents][Index]